BlobColumn (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.jdbc.BlobColumn interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.jdbc
Interface BlobColumn

All Known Implementing Classes:
  OracleBlobColumn, PostgresBlobColumn, StdBlobColumn

    public interface BlobColumn

A common interface for BlobColumns which unfortunately do not typically have much in common.

Method Summary
`void` | `delete()` delete the blob row.
`java.lang.String` | `getBlobColName()`
`byte[]` | `getBlobData()`
`java.lang.String` | `getCtxName()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getIdColName()`
`java.lang.String` | `getSeqName()`
`java.lang.String` | `getTableName()`
`void` | `insert()` insert the blob.
`void` | `select()` select the blob data.
`void` | `setBlobColName(java.lang.String s)`
`void` | `setBlobData(byte[] ba)`
`void` | `setId(java.lang.Integer id)`
`void` | `setIdColName(java.lang.String s)`
`void` | `setSequenceInfo(java.lang.String ctxName, java.lang.String seqName)`
`void` | `setTableName(java.lang.String s)`
`void` | `update()` update the blob data.

Method Detail

### getId

    java.lang.Integer getId()

### setId

    void setId(java.lang.Integer id)

### getBlobData

    byte[] getBlobData()

### setBlobData

    void setBlobData(byte[] ba)

### setTableName

    void setTableName(java.lang.String s)

### getTableName

    java.lang.String getTableName()

### setIdColName

    void setIdColName(java.lang.String s)

### getIdColName

    java.lang.String getIdColName()

### setBlobColName

    void setBlobColName(java.lang.String s)

### getBlobColName

    java.lang.String getBlobColName()

### getSeqName

    java.lang.String getSeqName()

### getCtxName

    java.lang.String getCtxName()

### setSequenceInfo

    void setSequenceInfo(java.lang.String ctxName,
                         java.lang.String seqName)

### select

    void select()
                throws java.sql.SQLException

  select the blob data.

  Throws:
    `java.sql.SQLException`

### update

    void update()
                throws java.sql.SQLException

  update the blob data.

  Throws:
    `java.sql.SQLException`

### insert

    void insert()
                throws java.sql.SQLException,
                       javax.naming.NamingException,
                       ConfigPropertyException

  insert the blob.

  Throws:
    `java.sql.SQLException`
    `javax.naming.NamingException`
    `ConfigPropertyException`

### delete

    void delete()
                throws java.sql.SQLException

  delete the blob row.

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.